package cn.net.cpzslibs.prot.bean.res;

public class Prot10052ResBean {
	private String batch_name;
	private String batch_number;//{"batch_number":"1608111SFA"
	private String end_station_dec;//"end_station_dec":""
	private String end_station_name;//"end_station_name":"大理1"
	private String order_no;//	"order_no":"1111"
	private String strart_station_dec;//"strart_station_dec":""
	private String strart_station_name;//"strart_station_name":"水富"
	private int trans_mode;//"trans_mode":2   1:火车   2:汽车
	private String trans_time;//"trans_time":"2016-08-14 04:02:00";
	private String line;//"line":"T00001"
	private String region;//"region":"祥云县,漾濞彝族自治县,大理市"
	private String region_id;//"region_id":"祥云县,漾濞彝族自治县,大理市"
	private Prot10052Truck truck;
	private Prot10052Train train;

	private int errcode;
  	private String errmsg;
  	private int result = 0;//0：请求成功     1：遇到错误信息，返回错误码
  	public String getBatch_name() {
		return batch_name;
	}
  	public void setBatch_name(String batch_name) {
		this.batch_name = batch_name;
	}
	public String getBatch_number() {
		return batch_number;
	}
	public void setBatch_number(String batch_number) {
		this.batch_number = batch_number;
	}
	public String getEnd_station_dec() {
		return end_station_dec;
	}
	public void setEnd_station_dec(String end_station_dec) {
		this.end_station_dec = end_station_dec;
	}
	public String getEnd_station_name() {
		return end_station_name;
	}
	public void setEnd_station_name(String end_station_name) {
		this.end_station_name = end_station_name;
	}
	public String getOrder_no() {
		return order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}
	public String getStrart_station_dec() {
		return strart_station_dec;
	}
	public void setStrart_station_dec(String strart_station_dec) {
		this.strart_station_dec = strart_station_dec;
	}
	public String getStrart_station_name() {
		return strart_station_name;
	}
	public void setStrart_station_name(String strart_station_name) {
		this.strart_station_name = strart_station_name;
	}
	public int getTrans_mode() {
		return trans_mode;
	}
	public void setTrans_mode(int trans_mode) {
		this.trans_mode = trans_mode;
	}
	public String getTrans_time() {
		return trans_time;
	}
	public void setTrans_time(String trans_time) {
		this.trans_time = trans_time;
	}
	public Prot10052Truck getTruck() {
		return truck;
	}
	public void setTruck(Prot10052Truck truck) {
		this.truck = truck;
	}
	public Prot10052Train getTrain() {
		return train;
	}
	public void setTrain(Prot10052Train train) {
		this.train = train;
	}
	public int getErrcode() {
		return errcode;
	}
	public void setErrcode(int errcode) {
		this.errcode = errcode;
	}
	public String getErrmsg() {
		return errmsg;
	}
	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}
	public int getResult() {
		return result;
	}
	public void setResult(int result) {
		this.result = result;
	}
	public String getLine() {
		return line;
	}
	public void setLine(String line) {
		this.line = line;
	}
	public String getRegion() {
		return region;
	}
	public void setRegion(String region) {
		this.region = region;
	}
	public String getRegion_id() {
		return region_id;
	}
	public void setRegion_id(String region_id) {
		this.region_id = region_id;
	}
	@Override
	public String toString() {
		return "Prot10052ResBean [batch_name=" + batch_name + ", batch_number=" + batch_number + ", end_station_dec="
				+ end_station_dec + ", end_station_name=" + end_station_name + ", order_no=" + order_no
				+ ", strart_station_dec=" + strart_station_dec + ", strart_station_name=" + strart_station_name
				+ ", trans_mode=" + trans_mode + ", trans_time=" + trans_time + ", line=" + line + ", region=" + region
				+ ", region_id=" + region_id + ", truck=" + truck + ", train=" + train + ", errcode=" + errcode
				+ ", errmsg=" + errmsg + ", result=" + result + "]";
	}
	
}
